package com.jasamedika.medifirst2000.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.PapTht;
import com.jasamedika.medifirst2000.vo.PapKeluhanTambahanVO;
import com.jasamedika.medifirst2000.vo.PapThtVO;
import com.jasamedika.medifirst2000.vo.ThtVO;

/**
 * PAPTht Service
 * 
 * @author Askur
 */
public interface PapThtService<T> extends BaseVoService<PapTht, PapThtVO, String> {
	Map<String,Object> addTht(PapThtVO vo);
	Map<String,Object> updateTht(PapThtVO vo);
	Map<String,Object> findByNoCmAndTglInput(String noCm,Date tglInput);
	Map<String,Object> findRegistrasiPelayananPasienByNoCmAndTglRegistrasi(String noCm, short kdProfile,Date tglRegistrasi);
	public Map<String,Object> findPasienByNoCm(String noCm);
}
